set echo off;
spool upgrd_s.lst;

/************************************************************************************
*                                                                                   *
*   upgrd_s.sql        SILVERRUN ENTERPRISE BPM/RDM 2.8     Grandite		    * 
*   27-06-2003         SILVERRUN ENTREPRISE DFD/MRD 2.8     Grandite		    *
*                                                                                   *
*************************************************************************************
*                                                                                   *
*   Connect under:                              Se connecter sous:                  *
*                                                                                   *
*   sr_admin.                                   sr_admin.                           *
*                                                                                   *
*************************************************************************************
*                                                                                   *
*   Description:                                Description:                        *
*                                                                                   *
*   Script upgrading the SILVERRUN              Script mettant a jour le            *
*   ENTERPRISE RDM 2.7.6 REPOSITORY to		REFERENTIEL SILVERRUN ENTREPRISE    *
*   version 2.8.0.				MRD 2.7.6 pour la version 2.8.0.	    *
*                                                                                   *
*   This script is creating tables and          Ce script cree des tables et des    *
*   indexes in the SILVERRUN_REPOSITORY_DATA    index dans le "tablespace"          *
*   tablespace.                                 SILVERRUN_REPOSITORY_DATA .         *
*                                                                                   *
************************************************************************************/


UPDATE zModule set zVersion = ('370 360 0')
    WHERE (zName IN ('MMC', 'EPI'));
COMMIT;

UPDATE zModule set zVersion = ('370 360 1')
    WHERE (zName IN ('MMC', 'EPI'));
COMMIT;

/* Updating zModule if upgrading has been done correctly. */
/* Modification de zModule si la mise a jour s'est faite correctement. */

UPDATE zModule SET zVersion = '370 360 2' 
    WHERE zVersion = '370 360 1';
COMMIT;

UPDATE zControl SET zConnectK = 0;

SELECT DISTINCT DECODE(zVersion,'370 360 2','SUCCESSFUL EXECUTION OF upgrd_s.sql.',
'THERE HAS BEEN AN ERROR IN THE EXECUTION OF upgrd_s.sql.') " "
FROM zModule WHERE zName = 'MMC';

UPDATE zModule SET zVersion = '370' WHERE
	(	zVersion = '370 360 2'
		AND
		0 = (SELECT COUNT(*) from zConnect)
	)
;
COMMIT;

SELECT DISTINCT DECODE(zVersion,'370','REPOSITORY UPGRADED TO 2.8.0 SUCCESSFULLY.',
'MODULE VERSION ARE NOT UPGRADED.') " "
FROM zModule WHERE zName = 'MMC';

spool off;
set echo on;
